package hello.jsp;

import javax.servlet.http.*;
import org.apache.struts.action.*;

/**
 * This is a Struts ActionForm implementation.
 * $Revision: 1.1.1.1 $ $Date: 2002/09/30 02:21:57 $ (helder@acm.org).
 */
public class NewMessageForm extends ActionForm {
    private String message = null;

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
    
    public void reset(ActionMapping mapping, HttpServletRequest request) {
        message = null;
    }
    
    /**
     * Validates the form.
     */
    public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
        ActionErrors errors = new ActionErrors();
        if ( (message == null) || (message.trim().length() == 0) ) {
            errors.add("message", new ActionError("empty.message.error"));
        }
        return errors;
    }
}
